Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java	(revision 686)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java	(revision 687)
@@ -38,9 +38,9 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.objects.Text;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.editors.TXMBrowser;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.ComboDialog;
 import org.txm.searchengine.cqp.corpus.Corpus;
 /**
@@ -79,11 +79,11 @@
 			textids = new ArrayList<String>(corpus.getTextsID());
 			if (textids.size() == 0)
 			{
-				System.out.println(NLS.bind(RCPMessages.OpenBiblio_1, corpus.getName()));
+				System.out.println(NLS.bind(TXMUIMessages.OpenBiblio_1, corpus.getName()));
 				return null;
 			}
 
-			ComboDialog dialog = new ComboDialog(shell, RCPMessages.OpenBiblio_2, textids, textids.get(0));
+			ComboDialog dialog = new ComboDialog(shell, TXMUIMessages.OpenBiblio_2, textids, textids.get(0));
 			if (dialog.open() == Window.OK)
 			{
 				String textid = dialog.getSelectedValue();
@@ -109,7 +109,7 @@
 
 		Text text = corpus.getMainCorpus().getText(textid);
 		if (text == null) {
-			System.out.println(NLS.bind(RCPMessages.OpenBiblio_7, textid, corpus.getName()));
+			System.out.println(NLS.bind(TXMUIMessages.OpenBiblio_7, textid, corpus.getName()));
 			return null;
 		}
 
@@ -129,12 +129,12 @@
 			return null;
 		}
 		if (text.getBiblioPath() == null) {
-			System.out.println(NLS.bind(RCPMessages.OpenBiblio_9, text.getName()));
+			System.out.println(NLS.bind(TXMUIMessages.OpenBiblio_9, text.getName()));
 			return null;
 		}
 		String url = text.getBiblioPath().toString();
 		if (url.trim().length() == 0) {
-			System.out.println(NLS.bind(RCPMessages.OpenBiblio_9, text.getName()));
+			System.out.println(NLS.bind(TXMUIMessages.OpenBiblio_9, text.getName()));
 			return null;
 		}
 		TXMBrowser attachedBrowserEditor = OpenBrowser.openEdition(url);
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 686)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 687)
@@ -41,8 +41,8 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.actions.CreateSubcorpusDialog;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPEngine;
@@ -69,13 +69,13 @@
 		
 		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 		if (selection == null) {
-			System.out.println(RCPMessages.CreateSubCorpus_1+HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
+			System.out.println(TXMUIMessages.CreateSubCorpus_1+HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
 			return null;
 		}
 		Object firstElement = selection.getFirstElement();
 		
 		if (!(firstElement instanceof Corpus)) {
-			System.out.println(RCPMessages.CreateSubCorpus_3+firstElement);
+			System.out.println(TXMUIMessages.CreateSubCorpus_3+firstElement);
 			return null;
 		}
 		
@@ -86,23 +86,23 @@
 		int code = d.open();
 		if (code == Window.OK) {
 			JobHandler jobhandler = new JobHandler(NLS.bind(
-					RCPMessages.CreateSubCorpus_create, corpus.getName())) {
+					TXMUIMessages.CreateSubCorpus_create, corpus.getName())) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {		
 					this.runInit(monitor);
 					JobsTimer.start();
 					try {
-						monitor.beginTask(RCPMessages.CreateSubCorpus_begin, 100);
+						monitor.beginTask(TXMUIMessages.CreateSubCorpus_begin, 100);
 						final Subcorpus subcorpus;
 
 						if (d.isAdvancedSelected() || d.isAssistedSelected()) {
 							Query q = new Query(d.getQuery());
-							System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_9,
+							System.out.println(NLS.bind(TXMUIMessages.CreateSubcorpus_9,
 								corpus.getName(), q.getQueryString())); 
 							subcorpus = corpus.createSubcorpus(q, d.getName());
 						} 
 						else {
-							System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_7,
+							System.out.println(NLS.bind(TXMUIMessages.CreateSubcorpus_7,
 							new Object[]{corpus.getName(), d.getStructuralUnit(),
 									d.getStructuralUnitProperty(), d.getValues()}));
 							
@@ -121,15 +121,15 @@
 						if(subcorpus == null)
 						{
 							monitor.done();
-							System.out.println(RCPMessages.CreateSubCorpus_0);
+							System.out.println(TXMUIMessages.CreateSubCorpus_0);
 							return Status.CANCEL_STATUS;
 						}
 						
-						System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_8
+						System.out.println(NLS.bind(TXMUIMessages.CreateSubcorpus_8
 								, subcorpus.getName()));
 						monitor.worked(50);
 
-						monitor.subTask(RCPMessages.RefreshingCorporaView);
+						monitor.subTask(TXMUIMessages.RefreshingCorporaView);
 						syncExec(new Runnable() {
 							@Override
 							public void run() {
@@ -147,9 +147,9 @@
 						Log.severe(e.toString());
 						
 						try {
-							System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+							System.out.println(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
-							System.out.println(RCPMessages.CreateSubCorpus_2+e1);
+							System.out.println(TXMUIMessages.CreateSubCorpus_2+e1);
 							org.txm.rcp.utils.Logger.printStackTrace(e1);
 						}
 					} finally {
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java	(revision 686)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java	(revision 687)
@@ -40,8 +40,8 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.actions.CreatePartitionDialog;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -78,30 +78,30 @@
 		if (code == Window.OK) {
 			try {
 				JobHandler jobhandler = new JobHandler(NLS.bind(
-						RCPMessages.CreatePartition_0, corpus.getName())) {
+						TXMUIMessages.CreatePartition_0, corpus.getName())) {
 					@Override
 					protected IStatus run(IProgressMonitor monitor) {
 						this.runInit(monitor);
 						try {
 							JobsTimer.start();
 							monitor.beginTask(
-									NLS.bind(RCPMessages.CreatePartition_0,
+									NLS.bind(TXMUIMessages.CreatePartition_0,
 											corpus.getName()), 100);
 							System.out.println(NLS.bind(
-									RCPMessages.CreatePartition_0,
+									TXMUIMessages.CreatePartition_0,
 									corpus.getName()));
 							final Partition partition = d.getPartition();
 							if (partition == null) {
 								monitor.done();
-								System.out.println(RCPMessages.CreatePartition_2);
+								System.out.println(TXMUIMessages.CreatePartition_2);
 								return Status.CANCEL_STATUS;
 							}
 							System.out.println(NLS.bind(
-									RCPMessages.CreatePartition_6,
+									TXMUIMessages.CreatePartition_6,
 									partition.getNPart()));
 							monitor.worked(95);
 
-							monitor.subTask(RCPMessages.RefreshingCorporaView);
+							monitor.subTask(TXMUIMessages.RefreshingCorporaView);
 							syncExec(new Runnable() {
 								@Override
 								public void run() {
@@ -122,7 +122,7 @@
 				jobhandler.startJob();
 
 			} catch (Exception e) {
-				System.err.println(NLS.bind(RCPMessages.Error_creating_partition,
+				System.err.println(NLS.bind(TXMUIMessages.Error_creating_partition,
 						e));
 			}
 		}
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java	(revision 686)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java	(revision 687)
@@ -44,7 +44,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -112,22 +112,22 @@
 			lastopenedfile = filepath;
 			final File outfile = new File(filepath);
 			JobHandler jobhandler = new JobHandler(NLS.bind(
-					RCPMessages.ExportCorpus_3, corpus.getName())) {
+					TXMUIMessages.ExportCorpus_3, corpus.getName())) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
 						monitor.beginTask(
-								NLS.bind(RCPMessages.ExportCorpus_3,
+								NLS.bind(TXMUIMessages.ExportCorpus_3,
 										corpus.getName()), 100);
 						
 
 						if (!corpus.export(outfile, this)) {
 							System.out.println(NLS.bind(
-									RCPMessages.ExportCorpus_0, corpus.getName()));
+									TXMUIMessages.ExportCorpus_0, corpus.getName()));
 						}
 
-						System.out.println(RCPMessages.bind(RCPMessages.ExportCorpus_4,outfile.getAbsolutePath()));
+						System.out.println(TXMUIMessages.bind(TXMUIMessages.ExportCorpus_4,outfile.getAbsolutePath()));
 						monitor.worked(100);
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/ComputeInformation.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/ComputeInformation.java	(revision 686)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/ComputeInformation.java	(revision 687)
@@ -34,13 +34,13 @@
 import org.eclipse.swt.SWT;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.core.functions.information.Information;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.rcp.editors.InformationEditor;
+import org.txm.searchengine.cqp.rcp.messages.CQPUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -73,7 +73,7 @@
 		
 		Object sel = HandlerUtil.getCurrentSelection(event);
 		if (!(sel instanceof IStructuredSelection)) {
-			Log.warning(RCPMessages.ComputeDiagnostic_0);
+			Log.warning(CQPUIMessages.ComputeDiagnostic_0);
 			return null;
 		}
 		
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/handlers/OpenEdition.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/handlers/OpenEdition.java	(revision 686)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/handlers/OpenEdition.java	(revision 687)
@@ -42,7 +42,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.objects.BaseParameters;
 import org.txm.objects.Text;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java	(revision 686)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java	(revision 687)
@@ -3,8 +3,8 @@
 import org.eclipse.jface.viewers.TableViewerColumn;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * The listener interface for receiving columnSelection events.
@@ -51,7 +51,7 @@
 	 */
 	@Override
 	public void widgetSelected(SelectionEvent e) {
-		StatusLine.setMessage(RCPMessages.SORT_COLUMN);
+		StatusLine.setMessage(TXMUIMessages.SORT_COLUMN);
 		this.editor.sort(this.col, this.index);
 		StatusLine.setMessage(""); //$NON-NLS-1$
 	}
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java	(revision 686)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java	(revision 687)
@@ -45,7 +45,7 @@
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -154,11 +154,12 @@
 		composite.setLayout(layout);
 
 		Label anaPropLabel = new Label(composite, SWT.NONE);
-		if (mess != null)
+		if (mess != null) {
 			anaPropLabel.setText(mess);
-		else
-			anaPropLabel
-					.setText(RCPMessages.Property);
+		}
+		else {
+			anaPropLabel.setText(TXMUIMessages.Property);
+		}
 		anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -169,16 +170,16 @@
 		int i = 0;
 		for (Property p : properties) {
 			anaPropCombo.add(p.getName());
-			if (p.getName().equals("word")) //$NON-NLS-1$
+			if (p.getName().equals("word")) { //$NON-NLS-1$
 				iword=i;
+			}
 			i++;
 		}
 		anaPropCombo.select(iword);
 
 		maxlinesLabel = new Label(composite, SWT.NONE);
-		maxlinesLabel.setText(RCPMessages.NumberOfLines);
-		maxlinesLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
-				true, false));
+		maxlinesLabel.setText(TXMUIMessages.NumberOfLines);
+		maxlinesLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		maxlinesSpinner = new Spinner(composite, SWT.BORDER);
 		maxlinesSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 		maxlinesSpinner.setMaximum(9999999);
@@ -188,8 +189,7 @@
 		
 		fminLabel = new Label(composite, SWT.NONE);
 		fminLabel.setText(TXMCoreMessages.FMIN_1);
-		fminLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
-				true, false));
+		fminLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		fminSpinner = new Spinner(composite, SWT.BORDER);
 		fminSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 		fminSpinner.setMaximum(9999999);
@@ -207,8 +207,8 @@
 		int propIndex = anaPropCombo.getSelectionIndex();
 		if (propIndex == -1) {
 			MessageDialog.openError(getShell(),
-					RCPMessages.Invalid_analysis_property,
-					RCPMessages.Structure_field_not_empty);
+					TXMUIMessages.Invalid_analysis_property,
+					TXMUIMessages.Structure_field_not_empty);
 			return;
 		}
 		property = properties.get(propIndex);
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 686)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 687)
@@ -63,10 +63,10 @@
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
 import org.txm.lexicaltable.rcp.handlers.MergeLines;
 import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.views.QueriesView;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -162,7 +162,7 @@
 				System.out.println(NLS.bind(LexicalTableUIMessages.LexicalTableEditor_5, vMax.getSelection(), fMin.getSelection()));
 
 				MessageBox messageBox = new MessageBox(e.display.getActiveShell(), SWT.ICON_QUESTION | SWT.YES | SWT.NO);
-				messageBox.setMessage(RCPMessages.DeleteLines_1);
+				messageBox.setMessage(TXMUIMessages.DeleteLines_1);
 				int response = messageBox.open();
 				if (response != SWT.YES) {
 					return;
@@ -366,7 +366,7 @@
 		formColumn.setLabelProvider(clp);
 		
 		freqColumn = new TableViewerColumn(viewer, SWT.LEFT);
-		freqColumn.getColumn().setText(RCPMessages.FrequencyListEditorInput_4); 
+		freqColumn.getColumn().setText(TXMUIMessages.FrequencyListEditorInput_4); 
 		freqColumn.getColumn().setWidth(200);
 		freqColumn.getColumn().addSelectionListener(new ColumnSelectionListener(this, freqColumn, -1));
 		freqColumn.setLabelProvider(clp);
@@ -587,7 +587,7 @@
 			} else if (index == -1) { // freqs
 				try {
 					lexicalTable.getData().sortByFreqs(reverse);
-					StatusLine.setMessage(RCPMessages.SORT_DONE);
+					StatusLine.setMessage(TXMUIMessages.SORT_DONE);
 				} catch (Exception e2) {
 					org.txm.rcp.utils.Logger.printStackTrace(e2);
 				}
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java	(revision 686)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java	(revision 687)
@@ -37,7 +37,7 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 /**
  * Allow the user to delete lines in a Lexical Table.
  * 
@@ -72,7 +72,7 @@
 			return;
 
 		if (selection.length == LTeditor.getLexicalTable().getNRows()) {
-			System.out.println(RCPMessages.DeleteLines_0);
+			System.out.println(TXMUIMessages.DeleteLines_0);
 			return;
 		}
 
@@ -81,7 +81,7 @@
 			Shell shell = d.getActiveShell();
 			MessageBox messageBox = new MessageBox(shell, SWT.ICON_QUESTION
 					| SWT.YES | SWT.NO);
-			messageBox.setMessage(RCPMessages.DeleteLines_1);
+			messageBox.setMessage(TXMUIMessages.DeleteLines_1);
 			int response = messageBox.open();
 			if (response != SWT.YES)
 				return;
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 686)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 687)
@@ -23,7 +23,22 @@
 	public static String LexicalTableEditor_8;
 	public static String LexicalTablePreferencePage_0;
 	public static String LexicalTablePreferencePage_1;
+	
+	public static String ComputeLexicalTable_0;
+	public static String ComputeLexicalTable_10;
+	public static String ComputeLexicalTable_12;
+	public static String ComputeLexicalTable_13;
+	public static String ComputeLexicalTable_16;
+	public static String ComputeLexicalTable_1;
+	public static String ComputeLexicalTable_2;
+	public static String ComputeLexicalTable_3;
+	public static String ComputeLexicalTable_4;
+	public static String ComputeLexicalTable_5;
+	public static String ComputeLexicalTable_6;
+	public static String ComputeLexicalTable_7;
+	public static String ComputeLexicalTable_9;
 
+
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, LexicalTableUIMessages.class);
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 686)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 687)
@@ -30,13 +30,13 @@
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.txm.lexicaltable.core.functions.LexicalTable;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.specificities.core.functions.Specificities;
+import org.txm.specificities.core.messages.SpecificitiesCoreMessages;
 import org.txm.specificities.rcp.editors.SpecificitiesEditor;
 import org.txm.utils.logger.Log;
 
@@ -56,13 +56,6 @@
 		CorporaView.addDoubleClickListener(Specificities.class, ComputeSpecifities.class);
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * 
-	 * @see
-	 * org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands
-	 * .ExecutionEvent)
-	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
@@ -102,18 +95,16 @@
 				}
 	
 				if (lexicalTable == null) {
-					Log.severe("Cannot compute Specificities with " + selection);
-					return null;
+					return super.logCanNotCompute(selection);
 				}
 				specificities = new Specificities(lexicalTable);
-				
 			}
 			
 			TXMEditor.openEditor(specificities, SpecificitiesEditor.ID);
 			
 		}
 		catch (Exception e) {
-			System.out.println(RCPMessages.Error_computing_specificities);
+			Log.severe(SpecificitiesCoreMessages.error_errorWhileComputingSpecificities);
 			Log.printStackTrace(e);
 			return null;
 		}
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 686)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 687)
@@ -43,11 +43,12 @@
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.swt.widgets.Table;
 import org.eclipse.swt.widgets.TableColumn;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.Parameter;
 import org.txm.objects.TxmObject;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.specificities.core.functions.Specificities;
 import org.txm.specificities.core.preferences.SpecificitiesPreferences;
 import org.txm.specificities.rcp.messages.SpecificitiesUIMessages;
@@ -133,8 +134,8 @@
 
 			// create 1st column
 			TableColumn typeNameColumn = new TableColumn(specificitesTable, SWT.NONE);
-			typeNameColumn.setText(RCPMessages.ReferencerEditor_9);
-			typeNameColumn.setToolTipText(RCPMessages.ReferencerEditor_9);
+			typeNameColumn.setText(TXMCoreMessages.common_units);
+			typeNameColumn.setToolTipText(TXMCoreMessages.common_units);
 			typeNameColumn.setAlignment(SWT.RIGHT);
 			typeNameColumn.pack();
 			typeNameColumn.setWidth((int) (typeNameColumn.getWidth() * 1.5));
@@ -143,8 +144,8 @@
 			
 			// create 2nd column
 			TableColumn typeFrequencyColumn = new TableColumn(viewer.getTable(), SWT.NONE);
-			typeFrequencyColumn.setText(RCPMessages.FrequencyListEditorInput_4 + " " + SpecificitiesUIMessages.SpecificitiesTableEditor_11 + " " + this.getResult().getCorpusSize()); //$NON-NLS-1$ //$NON-NLS-2$
-			typeFrequencyColumn.setToolTipText(RCPMessages.FrequencyListEditorInput_4 + SpecificitiesUIMessages.SpecificitiesTableEditor_11 + this.getResult().getCorpusSize()); 
+			typeFrequencyColumn.setText(TXMUIMessages.FrequencyListEditorInput_4 + " " + SpecificitiesUIMessages.SpecificitiesTableEditor_11 + " " + this.getResult().getCorpusSize()); //$NON-NLS-1$ //$NON-NLS-2$
+			typeFrequencyColumn.setToolTipText(TXMUIMessages.FrequencyListEditorInput_4 + SpecificitiesUIMessages.SpecificitiesTableEditor_11 + this.getResult().getCorpusSize()); 
 			typeFrequencyColumn.setAlignment(SWT.RIGHT);
 			typeFrequencyColumn.pack();
 			
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 686)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 687)
@@ -31,11 +31,11 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.IWorkbench;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.partition.rcp.messages.PartitionUIMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
-import org.txm.rcp.RCPMessages;
 
 /**
  * Partition preference page.
@@ -64,16 +64,10 @@
 
 	}
 	
-	/*
-	 * (non-Javadoc)
-	 * 
-	 * @see
-	 * org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
-	 */
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(PartitionDimensionsPreferences.PREFERENCES_NODE));
 		//this.setDescription(Messages.DiagnosticPreferencePage_1);
-		this.setTitle(RCPMessages.DiagnosticPreferencePage_1);
+		this.setTitle(TXMCoreMessages.common_description);
 	}
 }
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/CooccurrencesToConcordances.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/CooccurrencesToConcordances.java	(revision 686)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/CooccurrencesToConcordances.java	(revision 687)
@@ -44,8 +44,8 @@
 import org.txm.cooccurrence.core.functions.Cooccurrence;
 import org.txm.cooccurrence.core.functions.Cooccurrence.CLine;
 import org.txm.cooccurrence.rcp.editors.CooccurrencesEditor;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.query.Query;
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/TextToConcordance.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/TextToConcordance.java	(revision 686)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/TextToConcordance.java	(revision 687)
@@ -38,9 +38,9 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.IEditionEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
 
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/ConcordanceToIndex.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/ConcordanceToIndex.java	(revision 686)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/ConcordanceToIndex.java	(revision 687)
@@ -41,8 +41,8 @@
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.index.core.functions.Index;
 import org.txm.index.rcp.editors.IndexEditor;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.query.Query;
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToConcordance.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToConcordance.java	(revision 686)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToConcordance.java	(revision 687)
@@ -42,8 +42,8 @@
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.index.core.functions.Line;
 import org.txm.index.rcp.editors.IndexEditor;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
Index: tmp/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 686)
+++ tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 687)
@@ -7,7 +7,7 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.eclipse.ui;bundle-version="3.106.1",
  org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.cah.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.ahc.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 686)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 687)
@@ -33,6 +33,8 @@
 	public static String SpecificitesResult_7;
 	public static String SpecificitesResult_8;
 
+	public static String error_errorWhileComputingSpecificities;
+
 	
 	static {
 		// initialize resource bundle
